/*
 * Copyright (C) 2008-2009 the original author or authors
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *         http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.google.code.liquidform;

import java.util.Collection;

/**
 * Marker container returned by the {@link LiquidForm#in(java.util.Collection)}
 * construct that helps enforce both the type <tt>T</tt> of the collection
 * elements, and the fact that <tt>FROM</tt> should only accept abstract schema
 * types and <tt>IN(collection)</tt> constructs.
 * 
 * @param <T>
 */
public class InCollection<T> {

	private final Collection<T> collection;

	public InCollection(Collection<T> collection) {
		this.collection = collection;
	}

	public Collection<T> getCollection() {
		return collection;
	}

}
