/*
 * Copyright (C) 2008-2009 the original author or authors
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *         http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.code.liquidform;

/**
 * Marker interface for clauses that are acceptable as subqueries. Not all query
 * parts can make up a subquery (<tt>ORDER BY</tt> is not valid)).
 * 
 * @param <T>
 *            the type that is being returned by the <tt>SELECT</tt> clause.
 *            Useful for type-checking <i>eg.</i> in
 *            {@link LiquidForm#in(Object, SubQuery) <tt>IN</tt> construct}
 */
public interface SubQuery<T> {

}
