/*
 * Copyright (C) 2008-2009 the original author or authors
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *         http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.code.liquidform.conditions;

/**
 * The <tt>LIKE</tt> operator, applies to expressions of type String.
 * 
 */
public enum LikeOperator implements TernaryOperator {

	LIKE(" like ", " escape "), NOT_LIKE(" not like ", " escape ");

	private final String representation;

	private final String secondStringRepresentation;

	private LikeOperator(String representation,
			String secondStringRepresentation) {
		this.representation = representation;
		this.secondStringRepresentation = secondStringRepresentation;
	}

	public String getStringRepresentation() {
		return representation;
	}

	public String getSecondStringRepresentation() {
		return secondStringRepresentation;
	}

}
