/*
 * Copyright (C) 2008-2009 the original author or authors
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *         http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.google.code.liquidform.conditions;

/**
 * Further specialization of {@link Operator} where the "right hand side" is
 * actually made of 2 parts, separated by this operator's
 * {@link #getSecondStringRepresentation() second string}. Examples include the
 * <tt>BETWEEN x AND y</tt> operator.
 * 
 */
public interface TernaryOperator extends Operator {

	public String getSecondStringRepresentation();

}
