/*
 * Copyright (C) 2008-2009 the original author or authors
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *         http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * Contains classes that form the conditional part of a 
 * {@link com.google.code.liquidform.WhereClause WHERE} or 
 * {@link com.google.code.liquidform.HavingClause HAVING} clause. The main type 
 * is the {@link ConditionalExpression}, built by the 
 * {@link com.google.code.liquidform.LiquidForm#test(Boolean, EqualityOperator, Boolean) LiquidForm.test()}
 * family of factory methods. Type safety is achieved by narrowing the available
 * choices of operators using enums.
 * 
 * @see com.google.code.liquidform.LiquidForm#test(Boolean, EqualityOperator, Boolean)
 * @see ConditionalExpression
 * @see com.google.code.liquidform.FromClause#where(ConditionalExpression)
 */
package com.google.code.liquidform.conditions;