/*
 * Copyright (C) 2008-2009 the original author or authors
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *         http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.google.code.liquidform.internal.managedobjects;

/**
 * What the JPA specification calls an <i>Abstract Schema Name</i> that is, a
 * persistent entity type.
 */
public class AbstractSchemaName extends FrameworkManagedObject {

	private final String persistentType;

	@Override
	public String getTargetRepresentation() {
		return persistentType;
	}

	public AbstractSchemaName(String persistentType) {
		this.persistentType = persistentType;
	}

}
