/*
 * Copyright (C) 2008-2009 the original author or authors
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *         http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * "Framework Managed Objects" represent expressions in the query that is being 
 * built. They can either be persistent objects roots (eg <tt>p</tt>) or a 
 * property path on those objects (eg <tt>p.name</tt>), or even a function call 
 * (eg <tt>sum(p.age)</tt>). Furthermore, some expressions can be referenced via
 * an alias, as in eg. <tt>p.address as a</tt>.
 * 
 *   @see FrameworkManagedObject
 *   @see AliasedFrameworkManagedObject
 */
package com.google.code.liquidform.internal.managedobjects;